=== debian/changelog ===
imx-vpu-cnm-9t (3.14.28-1.0.0-udoo) trusty; urgency=medium

  * Updated fsl-alsa, libfslvpuwrap, libfslcodec, libfslparser from upstream.

 -- Francesco Montefoschi <francesco.monte@gmail.com>  Wed, 11 Nov 2015 09:11:43 +0000

imx-vpu-cnm-9t (3.14.28-1.0.0-1boundary4) trusty; urgency=medium

  * Initial Boundary package
  * Based on meta-fsl-arm imx-3.14.28-1.0.1_patch release

 -- Laci Tele <laci@boundarydevices.com>  Fri, 17 Jul 2015 15:00:45 -0700
