=== debian/control ===
Source: imx-vpu-cnm-9t
Section: restricted/libs
Priority: optional
Maintainer: Laci Tele <laci@boundarydevices.com>
Build-Depends: debhelper (>= 8), execstack, asciidoc, findutils (>= 4.2.28), autotools-dev, autoconf, automake, libtool
Standards-Version: 3.9.3
Homepage: http://www.boundarydevices.com/
#Vcs-Git: https://github.com/boundarydevices


Package: fsl-alsa-plugins-9t
Section: libs
Architecture: armel armhf
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Freescale alsa-lib plugins


Package: imx-lib-9t
Section: libs
Architecture: armel armhf
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Platform specific libraries for imx platform


Package: imx-vpu-9t
Section: libs
Architecture: armel armhf
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Freescale VPU library


Package: imx-test-9t
Section: base
Architecture: armel armhf
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Unit tests for the imx-bsp


Package: firmware-imx-9t
Section: restricted/base
Architecture: armel armhf
Description: Freescale IMX firmware such as for the VPU


Package: gst-fsl-plugins-9t
Section: multimedia
Architecture: armel armhf
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Freescale gstreamer plugins


Package: libfslcodec-9t
Section: restricted/multimedia
Architecture: armel armhf
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Freescale Multimedia codec libs


Package: libfslparser-9t
Section: restricted/multimedia
Architecture: armel armhf
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Freescale Multimedia parser libs


Package: libfslvpuwrap-9t
Section: restricted/multimedia
Architecture: armel armhf
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Freescale Multimedia VPU wrapper


Package: imx-vpu-cnm-9t
Section: metapackages
Architecture: armel armhf
Depends: fsl-alsa-plugins-9t (= ${binary:Version}), 
         imx-lib-9t (= ${binary:Version}),
         imx-vpu-9t (= ${binary:Version}),
         firmware-imx-9t (= ${binary:Version}),
         gst-fsl-plugins-9t (= ${binary:Version}),
         libfslcodec-9t (= ${binary:Version}),
         libfslparser-9t (= ${binary:Version}),
         libfslvpuwrap-9t (= ${binary:Version}),
         imx-udev-fsl-rules
Description: VPU acceleration for imx6
